July 28, 2026

Team Users now support custom field values — readable and writable through
the existing Users endpoints — and Custom Field definitions can be scoped to
Users.

Added

Users

  • Added a custom_fields field to Users, returning the company's
    Users-scoped custom field values for each user. custom_fields can be
    filtered like any other field.
  • Custom field values can now be set on Users through the existing
    PATCH /v2/users/{id} endpoint, using the custom_fields field in the
    request body.
  • MCP and Clarity clients can now update Team User notes, tags, and custom
    field values with the user_update tool, including bulk updates of up to
    50 users.

Custom Fields

  • Custom Field definitions can now be scoped to Users. The entity_type
    field accepts a new users value, in addition to the existing
    applications, payments, and contracts values.